Subject: Re: Excessive calls
From: Deeksha Dadu <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 21 Dec 2017 01:27:16 +0000

In fact, we may be able to keep tarun at night on all days as the flow in day is not much but you still review the workload and decide on your own. Don’t wait for my email as I will have limited access to mails. You can put him at night on all days starting tomorrow if you think it’s required, specially given that Sona will be going on leave and Pritish may get busy on inbox too. Tarun does not have any more offs this week so he will be of immense help at night.

Sent from my iPhone

On 21 Dec 2017, at 06:29, Deeksha Dadu <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Please see this email. If needed, please send tarun at night. Anyhow the calls for reservations primarily happen at night. You can decide based on the reports.

I leave it to you to decide who should be where in my absence.

Regards,
Deeksha

Sent from my iPhone

Begin forwarded message:

From: Deeksha Dadu <[email-masked]<mailto:[email-masked]>>
Date: 21 December 2017 at 06:26:33 GMT+5:30
To: Kaushal Singh <[email-masked]<mailto:[email-masked]>>
Cc: Pritish Nandi <[email-masked]<mailto:[email-masked]>>, Saurabh Dadu <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: Excessive calls

Hi Kaushal,

Last time I wrote to you guys about reservations, I did it after reviewing the reports only. I agree the call volume is high on snap but I checked the total time spent on calls on all 3 processes together and it was not high enough to justify not doing reservations for 3 people in the job. Similarly, it did not justify missing the number of chats we missed on snap. I discussed with Pritish too. On roomer, we are  not getting much work either. On reservations you may have felt the load in last 5-6 days as Tarun wasn’t there. He is back now so I am sure lots would be taken care of. We can perhaps send Tarun at night to help with reservations. He knows snap but can do it only under supervision and with help.

That said, I will be happy to review the reports again and revisit the schedule. I would have sent Tushar at night right away but I have a new guy joining in the day for roomer. I have put Ratnesh on his training for roomer, Hfl and then snap. so Tushar is needed in the day.

I am away for next few days so can’t check any reports until I come back. Ashish has access to all the reports. I suggest you sit with him to analyse the reports. The call volume as well as the time we are spending on calls ( for HFL, we will take into account on those calls which were attended from Office).  We can discuss when I come back with that data in hand.

@ Ashish: on days when we have 3 people in day shift including Tushar in day shift, please arrange to send Tarun at night to help with reservations etc.  Depending on the work load, you can make changes. Also, is Harsh Narang not doing reservations?

I will have limited access to emails now so unless super critical, please wait until I come back.

Regards,
Deeksha

Sent from my iPhone

On 21 Dec 2017, at 04:38, Kaushal Singh <[email-masked]<mailto:[email-masked]>> wrote:

Hi Deeksha,

The call volume and number of reservations have increased by a huge margin since few days now and I am sure you are able to check the same from reports. Morever, it has become impossible for us to handle all calling processes side by side. Roomer, Snaprentals and HFL are all calling processes.

I am writing this email with lot of hesitation as we have received criticism for missing on things at times, but I just could not let this go unnoticed as it is not in our hands anymore. With such high call volumes on Snaprentals (specially) and all 3 of us being engaged in work already, alot of work will be missed which will not be by choice. My recommendation and humble request is to provide us more agents in the shift. Workflow can go down at times which does not cause issues, but the issues are caused when it increases to what is the current situation and it becomes impossible to complete tasks.

--
Thanks and Regards,
Kaushal Singh
Team Leader - LiveSalesman